Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.jndi
Class JNDIExposed<T>

    java.lang.Object
      org.picocontainer.behaviors.AbstractBehavior<T>
          org.picocontainer.behaviors.Stored<T>
              org.picocontainer.gems.jndi.JNDIExposed<T>

All Implemented Interfaces:
  Serializable, org.picocontainer.Behavior<T>, org.picocontainer.ComponentAdapter<T>, org.picocontainer.ComponentLifecycle<T>, org.picocontainer.ComponentMonitorStrategy, org.picocontainer.LifecycleStrategy

    public class JNDIExposed<T>

extends org.picocontainer.behaviors.Stored<T>

exposes component to JNDI basically does same thing as cached, but uses JNDI reference instead. Maybe Cached shall be refactored? as there is little new functionality.

Author:
  k.pribluda
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.behaviors.Stored
`org.picocontainer.behaviors.Stored.Instance<T>`

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`org.picocontainer.ComponentAdapter.NOTHING`

Field Summary

Fields inherited from class org.picocontainer.behaviors.AbstractBehavior
`delegate`

Constructor Summary
`JNDIExposed(org.picocontainer.ComponentAdapter<T> delegate)` construct reference itself using vanilla initial context.
`JNDIExposed(org.picocontainer.ComponentAdapter<T> delegate, JNDIObjectReference<org.picocontainer.behaviors.Stored.Instance<T>> instanceReference)` create with provided reference
`JNDIExposed(org.picocontainer.ComponentAdapter<T> delegate, String name)` create adapter with desired name

Method Summary
`String` | `toString()`

Methods inherited from class org.picocontainer.behaviors.Stored
`componentHasLifecycle, dispose, flush, getComponentInstance, getDescriptor, getLifecycleDescriptor, getStoredObject, isStarted, start, stop`

Methods inherited from class org.picocontainer.behaviors.AbstractBehavior
`accept, changeMonitor, currentMonitor, dispose, findAdapterOfType, getComponentImplementation, getComponentInstance, getComponentKey, getDelegate, hasLifecycle, start, stop, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JNDIExposed

    public JNDIExposed(org.picocontainer.ComponentAdapter<T> delegate)
                throws NamingException

  construct reference itself using vanilla initial context. JNDI name is stringified component key

  Parameters:
    `delegate` - delegate adapter
  Throws:
    `NamingException`

### JNDIExposed

    public JNDIExposed(org.picocontainer.ComponentAdapter<T> delegate,
                       JNDIObjectReference<org.picocontainer.behaviors.Stored.Instance<T>> instanceReference)

  create with provided reference

  Parameters:
    `delegate` -
    `instanceReference` -

### JNDIExposed

    public JNDIExposed(org.picocontainer.ComponentAdapter<T> delegate,
                       String name)
                throws NamingException

  create adapter with desired name

  Parameters:
    `delegate` -
    `name` -
  Throws:
    `NamingException`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `org.picocontainer.behaviors.AbstractBehavior<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.